Categories:
  - Navigation
License: GPL-3.0-or-later
AuthorName: Andrey Novikov
AuthorWebSite: https://andreynovikov.info/
SourceCode: https://github.com/andreynovikov/trekarta
IssueTracker: https://github.com/andreynovikov/trekarta/issues
Changelog: https://github.com/andreynovikov/trekarta/releases

AutoName: Trekarta
Description: Trekarta (former MapTrek) is designed for hiking, geocaching, off-roading,
  cycling, boating and all other outdoor activities. It uses offline maps so you do
  not need to have internet connection. You can easily import places and tracks from
  GPX and KML data formats or create waypoints in application and share them to others.
  It lets you write the track of your journey, even in background, so you will never
  get lost and be able later see where you've been.

RepoType: git
Repo: https://github.com/andreynovikov/trekarta.git

Builds:
  - versionName: '2019.01'
    versionCode: 67
    commit: '2019.01'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2019.07'
    versionCode: 68
    commit: '2019.07'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2019.09'
    versionCode: 71
    commit: '2019.09'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2019.09'
    versionCode: 72
    commit: 2019.09fix1
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2019.10'
    versionCode: 74
    commit: '2019.10'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2019.11'
    versionCode: 75
    commit: '2019.11'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r18b

  - versionName: '2020.04'
    versionCode: 77
    commit: '2020.04'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r21

  - versionName: '2020.09'
    versionCode: 78
    commit: '2020.09'
    subdir: app/
    gradle:
      - full
      - world
    ndk: r21d

  - versionName: '2021.03'
    versionCode: 79
    commit: '2021.03'
    subdir: app/
    gradle:
      - full
      - world
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    ndk: r21e

  - versionName: '2021.04'
    versionCode: 80
    commit: '2021.04'
    subdir: app/
    gradle:
      - full
      - world
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    ndk: r21e

  - versionName: '2022.04'
    versionCode: 83
    commit: 972734c5e5fd41bf51173eaf00dc5fc538e040cf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - full
      - world
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    ndk: r21e

  - versionName: '2022.05'
    versionCode: 84
    commit: 06d169753bf14fc7fc14187eda79679c2501d171
    subdir: app
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - full
      - world
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    ndk: r21e

  - versionName: '2023.11'
    versionCode: 86
    commit: 2637ac15c3d45f84aa6057b1dfdf5a92c50f0607
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 25.1.8937393

  - versionName: '2023.12'
    versionCode: 88
    commit: 63f203deb7bad506f191ccd4877c6b85b5842ba8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 25.1.8937393

  - versionName: '2024.01'
    versionCode: 89
    commit: 751c9204d2dec6d0f7dad4fbbf9feea2c40512d3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 26.1.10909125

  - versionName: '2024.02'
    versionCode: 95
    commit: 9b8e68eda2be3dbbeb4b4d810fe40134aba25156
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 26.1.10909125

  - versionName: 2024.02.28
    versionCode: 102
    commit: 91c80dd6aee05d435023a82388d341c7fc91d9d1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 26.1.10909125

  - versionName: 2024.03.07
    versionCode: 105
    commit: b65de3bd803aaf4d91e97edcbcbe1924b423bd01
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 26.1.10909125

  - versionName: 2024.03.13
    versionCode: 106
    commit: 797e83c4891875544af6ad3093f5a5dfd2b85b62
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e '/testOptions {/,/^    }/d' build.gradle
    ndk: 26.1.10909125

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2024.03.13
CurrentVersionCode: 106
